#
# spec file for package libipathverbs
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define dracutlibdir %{_libexecdir}/dracut

Name:           libipathverbs
Summary:        PathScale InfiniPath HCA Userspace Driver
Version:        1.3
Release:        5.2
License:        GPL-2.0 or BSD-2-Clause
Group:          Productivity/Networking/System
Source0:        https://www.openfabrics.org/downloads/libipathverbs/%{name}-%{version}.tar.gz
Source1:        GPLv2.txt
Patch0:         libipathverbs-configure.patch
Patch1:         libipthverbs-no_libversion.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
BuildRequires:  automake autoconf libtool
BuildRequires:  dracut
Requires(pre):  dracut
Requires(post): dracut

%define lname	libipathverbs-rdmav2

%description
libipathverbs provides a device-specific userspace driver for PathScale
HCAs.

%package     -n %lname
Summary:	PathScale InfiniPath HCA Userspace Driver
Group:		System/Libraries
# Added after openSUSE 12.2:
Obsoletes:	libipathverbs < %version-%release
Provides:	libipathverbs = %version-%release

%description -n %lname
libipathverbs provides a device-specific userspace driver for PathScale
HCAs.

%prep
%setup -q
mv COPYING LICENSES
cp %{S:1} COPYING
%patch0 -p1
%patch1
mv configure.in configure.ac

%build
autoreconf -fi
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/%name.so

%files -n %lname
%defattr(-, root, root)
%doc COPYING LICENSES AUTHORS README
%dir %_sysconfdir/libibverbs.d
%config %_sysconfdir/libibverbs.d/*
%_libdir/libipathverbs-rdmav2.so
%config %{_sysconfdir}/modprobe.d/truescale.conf
%{_sbindir}/truescale-serdes.cmds
%define dracutdir %(rpm -ql dracut | grep dracut-functions$ | sed 's/dracut-functions//')
%{dracutdir}modules.d/90qib/install
%{dracutdir}modules.d/90qib/check
%{dracutdir}modules.d/90qib/installkernel
%{dracutdir}modules.d/90qib

%changelog
* Mon Feb  9 2015 p.drouand@gmail.com
- Update to version 1.3
  * No changelog available
- Use download Url as source
- Add dracut build require; libpathverbs now uses it to be charged
  as a module
- Add Requires(post) and Requires(pre): dracut because of dracut module
- Update libipathverbs-configure.patch
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Thu Feb 13 2014 pth@suse.de
- Update to 1.2.1 for fate#31548. No changelog present (fate#315488).
- Add libipathverbs-configure.patch to tell automake that these are
  non-gnu sources.
- Add libipthverbs-no_libversion.patch that adds -module to
  LDFLAGS.
* Thu Feb 13 2014 pth@suse.de
- Update to 1.2.1 for fate#315488. No changelog present.
* Thu Jan 30 2014 pth@suse.de
- Fix License.
- Remove devel package as this is a plugin for libibverb.
* Fri Jan 17 2014 pth@suse.de
- Update to OFED 3.12 daily
* Tue Sep 11 2012 pth@suse.de
- Just a bit of spec file cleanup.
* Wed Sep  5 2012 jengelh@inai.de
- Remove redundant sections from specfile, set SRPM group
- Parallel build with %%_smp_mflags
- Cease shipping static libraries
- Implement shared library policy
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.2 from OFED 1.5.1
* Thu Oct 16 2008 jjolly@suse.de
- Updated to version from OFED 1.3.1 release
* Mon May 19 2008 jjolly@suse.de
- Added GPLv2 COPYING file and renamed original COPYING to
  LICENSES (bnc#289242)
* Fri Feb 29 2008 jjolly@suse.de
- Updated to package from OFED 1.3 GA Release
* Tue Jan 29 2008 jjolly@suse.de
- Updated to package from OFED 1.3 rc2 (still 1.1)
* Thu Jul 12 2007 hvogel@suse.de
- require libibverbs-devel in the devel subpackage
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#289242]
- Get rid of git metadata
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.1
